%define		_class		SOAP
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null)

%define _requires_exceptions pear(SOAP/test/test.utility.php)

Name:		php-pear-%{upstream_name}
Version:	0.13.0
Release:	%mkrel 2
Summary:	Client/Server for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/SOAP/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-bcmath
Requires:	php-pear-HTTP_Request
Requires:	php-pear-Net_URL
Requires:	php-pear-Net_DIME
BuildArch:	noarch
BuildRequires:	php-pear

%description
Implementation of SOAP protocol and services.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/example
%{_datadir}/pear/%{_class}
%{peardir}/tools/genproxy.php
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 377227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 0.13.0-1.mga3
+ Revision: 275887
- upgrade to 0.13.0

* Fri Jan 21 2011 spuhler <spuhler> 0.12.0-5.mga1
+ Revision: 28009
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-SOAP

